#include <iostream>

using namespace std;
int dp[2001][2001];
int a[200007];
int psum[200007];
// 1,1
// 1,2


int parti(int l, int r, int k) {
    if (k == 0) {
        if (!l)
            return psum[r];
        else
            return psum[r]-psum[l-1];
    }
    int result = 0;
    for (int i = l; i <= r; i++) {
        for (int j = i; j <= r; j++) {
            result += parti(i, j, k - 1);
        }
    }
    return result;
}

int main()
{
    int n, k;
    cin >> n >> k;
    for (int i = 0; i < n; i++) {
        cin >> a[i];
        if (!i) psum[i] = a[i];
        else psum[i] = a[i] + psum[i-1];
    }
    cout << parti(0,n-1, k);
    return 0;
}
// C = 2
// 01010100000010101010101010011010